Subject: L1A Visa Documents - Jonathan McKay
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 9 Aug 2001 14:40:03 -0700 (PDT)

Jon:  I am pleased to advise that I will be sending to your tomorrow, Friday, via Fedex, your L1A visa documents for you to work in Houston.  Tracking No. 8209-0167-6484.

Once you receive these, you will note that the letter from our immigration attorneys, Tindall & Foster is self-explanatory.  However, please be sure to allow adequate time at Pre-Flight Inspection to go through with your L1A documents to receive your I-94 card.  This will be your work authorization to work in the US.

Please let me know if you have any questions at 713-345-1529.

Margaret